# ansible

Configuration through [Ansible](https://ansible.com) for my main laptop.

## Start

1. `curl https://git.earne.link/earnestma/ansible/raw/branch/main/ensure.sh | sh`
2. Clone the repository and enter it
3. Execute the main playbook: `ansible-playbook run.yml -K`

Other playbooks:

- Run usual updates: `ansible-playbook update.yml -K`

## Contributing

- `git config core.hooksPath .git-hooks`

## After first time run

- Restore all/ specific files (e.g. those with secrets) from a backup, if needed
- Dotfiles
- Grab ssh, gpg, and pash folder (from backup/existing device)
- Any config file that contains secrets? (eg aerc's accounts.conf, wakatime/wakapi, mbsync, etc.??)
- Restart!
- Configure and run backups!
- configure GUI apps as needed! `Fresh_install_apps_config.md`
